Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 5310)
+++ src/perl/register-dataset.cgi	(revision 5311)
@@ -562,345 +703,410 @@
 #  Also: need to check metacat for max id # used in this scope already
 ################################################################################
 sub newAccessionNumber {
-    my $scope = shift;
-    my $metacat = shift;
-    my $errormsg = 0;
+	my $scope    = shift;
+	my $metacat  = shift;
+	my $errormsg = 0;
 
-    my $docid = $metacat->getLastId($scope);
-    if (!$docid) {
-        $docid = "$scope.1.1";
-        debug("Error in newAccessionNumber: " . $metacat->getMessage());
-    } else {
-        my ($foundScope, $id, $rev) = split(/\./, $docid);
-        $id++;
-        $docid = "$scope.$id.1";
-    }
-    debug("Metcat handed us a new docid: $docid");
-    return $docid;
+	my $docid = $metacat->getLastId($scope);
+	if ( !$docid ) {
+		$docid = "$scope.1.1";
+		debug( "Error in newAccessionNumber: " . $metacat->getMessage() );
+	}
+	else {
+		my ( $foundScope, $id, $rev ) = split( /\./, $docid );
+		$id++;
+		$docid = "$scope.$id.1";
+	}
+	debug("Metcat handed us a new docid: $docid");
+	return $docid;
 }
 
 sub incrementRevision {
-    my $initDocid = shift;
-    my $docid = '';
-    if (!$initDocid) {
-        debug("No docid entered.");
-    } else {
-        my ($scope, $id, $rev) = split(/\./, $initDocid);
-        $rev++;
-        $docid = "$scope.$id.$rev";
-    }
-    return $docid;
+	my $initDocid = shift;
+	my $docid     = '';
+	if ( !$initDocid ) {
+		debug("No docid entered.");
+	}
+	else {
+		my ( $scope, $id, $rev ) = split( /\./, $initDocid );
+		$rev++;
+		$docid = "$scope.$id.$rev";
+	}
+	return $docid;
 }
 
 ################################################################################
-# 
+#
 # Validate the parameters to make sure that required params are provided
 #
 ################################################################################
 sub validateParameters {
-    my $chkUser = shift;
-    my @invalidParams;
+	my $chkUser = shift;
+	my @invalidParams;
 
-    push(@invalidParams, "Name of the Project is not selected in the form.")
-        if (scalar(@FORM::wg) == 0 && $required->{'wgList'} eq 'true');
-    push(@invalidParams, "First name of person entering the form is missing.")
-        unless hasContent($FORM::providerGivenName);
-    push(@invalidParams, "Last name of person entering the form is missing.")
-        unless hasContent($FORM::providerSurName);
-    push(@invalidParams, "Dataset title is missing.")
-        unless hasContent($FORM::title);
-    push(@invalidParams, ucfirst($config->{'site'})." name is missing.")
-        unless ((hasContent($FORM::site) && !($FORM::site =~ /^Select/)) ||
-                $skinName eq "nceas");
-    push(@invalidParams, "First name of principal data set owner is missing.")
-        unless hasContent($FORM::origNamefirst0);
-    push(@invalidParams, "Last name of principal data set owner is missing.")
-        unless hasContent($FORM::origNamelast0);
-    push(@invalidParams, "Dataset abstract is missing.")
-        unless hasContent($FORM::abstract);
-    if ($modules->{'temporal'} eq 'true') {
-        push(@invalidParams, "Year of start date is missing.")
-            unless (hasContent($FORM::beginningYear) || $required->{'temporal'} ne 'true');
-        push(@invalidParams, "Year of stop date has been specified but year of start date is missing.")
-            if ((!hasContent($FORM::beginningYear)) && hasContent($FORM::endingYear));
-    }
-    push(@invalidParams, "Geographic description is missing.")
-        unless (hasContent($FORM::geogdesc) || $required->{'spatial'} ne 'true');
+	push( @invalidParams, "Name of the Project is not selected in the form." )
+	  if ( scalar(@FORM::wg) == 0 && $required->{'wgList'} eq 'true' );
+	push( @invalidParams, "First name of person entering the form is missing." )
+	  unless hasContent($FORM::providerGivenName);
+	push( @invalidParams, "Last name of person entering the form is missing." )
+	  unless hasContent($FORM::providerSurName);
+	push( @invalidParams, "Dataset title is missing." )
+	  unless hasContent($FORM::title);
+	push( @invalidParams, ucfirst( $config->{'site'} ) . " name is missing." )
+	  unless ( ( hasContent($FORM::site) && !( $FORM::site =~ /^Select/ ) )
+		|| $skinName eq "nceas" );
+	push( @invalidParams, "First name of principal data set owner is missing." )
+	  unless hasContent($FORM::origNamefirst0);
+	push( @invalidParams, "Last name of principal data set owner is missing." )
+	  unless hasContent($FORM::origNamelast0);
+	push( @invalidParams, "Dataset abstract is missing." )
+	  unless hasContent($FORM::abstract);
 
-    if ($FORM::beginningMonth eq "MM") {
-        $FORM::beginningMonth = "";
-    }
-    if ($FORM::beginningDay eq "DD") {
-        $FORM::beginningDay = "";
-    }
-    if ($FORM::endingMonth eq "MM") {
-        $FORM::endingMonth = "";
-    }
-    if ($FORM::endingDay eq "DD") {
-        $FORM::endingDay = "";
-    }
+	if ( $modules->{'temporal'} eq 'true' ) {
+		push( @invalidParams, "Year of start date is missing." )
+		  unless ( hasContent($FORM::beginningYear)
+			|| $required->{'temporal'} ne 'true' );
+		push( @invalidParams,
+"Year of stop date has been specified but year of start date is missing."
+		  )
+		  if ( ( !hasContent($FORM::beginningYear) )
+			&& hasContent($FORM::endingYear) );
+	}
+	push( @invalidParams, "Geographic description is missing." )
+	  unless ( hasContent($FORM::geogdesc)
+		|| $required->{'spatial'} ne 'true' );
 
-    if (hasContent($FORM::beginningYear) && !($FORM::beginningYear =~ /[0-9]{4}/)) {
-        push(@invalidParams, "Invalid year of start date specified.")
-    }
+	if ( $FORM::beginningMonth eq "MM" ) {
+		$FORM::beginningMonth = "";
+	}
+	if ( $FORM::beginningDay eq "DD" ) {
+		$FORM::beginningDay = "";
+	}
+	if ( $FORM::endingMonth eq "MM" ) {
+		$FORM::endingMonth = "";
+	}
+	if ( $FORM::endingDay eq "DD" ) {
+		$FORM::endingDay = "";
+	}
 
-    if (hasContent($FORM::endingYear) && !($FORM::endingYear =~ /[0-9]{4}/)) {
-        push(@invalidParams, "Invalid year of stop date specified.")
-    }
+	if ( hasContent($FORM::beginningYear)
+		&& !( $FORM::beginningYear =~ /[0-9]{4}/ ) )
+	{
+		push( @invalidParams, "Invalid year of start date specified." );
+	}
 
-    # If the "use site" coord. box is checked and if the site is in 
-    # the longitude hash ...  && ($siteLatDMS{$FORM::site})
+	if ( hasContent($FORM::endingYear) && !( $FORM::endingYear =~ /[0-9]{4}/ ) )
+	{
+		push( @invalidParams, "Invalid year of stop date specified." );
+	}
 
-    if ($modules->{'spatial'} eq 'true') {
-        if (($FORM::useSiteCoord) && ($siteLatDMS{$FORM::site})) {
-            $latDeg1 = $siteLatDMS{$FORM::site}[0];
-            $latMin1 = $siteLatDMS{$FORM::site}[1];
-            $latSec1 = $siteLatDMS{$FORM::site}[2];
-            $hemisphLat1 = $siteLatDMS{$FORM::site}[3];
-            $longDeg1 = $siteLongDMS{$FORM::site}[0];
-            $longMin1 = $siteLongDMS{$FORM::site}[1];
-            $longSec1 = $siteLongDMS{$FORM::site}[2];
-            $hemisphLong1 = $siteLongDMS{$FORM::site}[3];
-        }  else {
-            $latDeg1 = $FORM::latDeg1;
-            $latMin1 = $FORM::latMin1;
-            $latSec1 = $FORM::latSec1;
-            $hemisphLat1 = $FORM::hemisphLat1;
-            $longDeg1 = $FORM::longDeg1;
-            $longMin1 = $FORM::longMin1;
-            $longSec1 = $FORM::longSec1;
-            $hemisphLong1 = $FORM::hemisphLong1;
-        }
+	# If the "use site" coord. box is checked and if the site is in
+	# the longitude hash ...  && ($siteLatDMS{$FORM::site})
 
-        if ($latDeg1 > 90 || $latDeg1 < 0) {
-            push(@invalidParams, "Invalid first latitude degrees specified.");
-        }
-        if ($latMin1 > 59 || $latMin1 < 0) {
-            push(@invalidParams, "Invalid first latitude minutes specified.");
-        }
-        if ($latSec1 > 59 || $latSec1 < 0) {
-            push(@invalidParams, "Invalid first latitude seconds specified.");
-        }
-        if ($longDeg1 > 180 || $longDeg1 < 0) {
-            push(@invalidParams, "Invalid first longitude degrees specified.");
-        }
-        if ($longMin1 > 59 || $longMin1 < 0) {
-            push(@invalidParams, "Invalid first longitude minutes specified.");
-        }
-        if ($longSec1 > 59 || $longSec1 < 0) {
-            push(@invalidParams, "Invalid first longitude seconds specified.");
-        }
+	if ( $modules->{'spatial'} eq 'true' ) {
+		if ( ($FORM::useSiteCoord) && ( $siteLatDMS{$FORM::site} ) ) {
+			$latDeg1      = $siteLatDMS{$FORM::site}[0];
+			$latMin1      = $siteLatDMS{$FORM::site}[1];
+			$latSec1      = $siteLatDMS{$FORM::site}[2];
+			$hemisphLat1  = $siteLatDMS{$FORM::site}[3];
+			$longDeg1     = $siteLongDMS{$FORM::site}[0];
+			$longMin1     = $siteLongDMS{$FORM::site}[1];
+			$longSec1     = $siteLongDMS{$FORM::site}[2];
+			$hemisphLong1 = $siteLongDMS{$FORM::site}[3];
+		}
+		else {
+			$latDeg1      = $FORM::latDeg1;
+			$latMin1      = $FORM::latMin1;
+			$latSec1      = $FORM::latSec1;
+			$hemisphLat1  = $FORM::hemisphLat1;
+			$longDeg1     = $FORM::longDeg1;
+			$longMin1     = $FORM::longMin1;
+			$longSec1     = $FORM::longSec1;
+			$hemisphLong1 = $FORM::hemisphLong1;
+		}
 
-        if (hasContent($FORM::latDeg2) && ($FORM::latDeg2 > 90 || $FORM::latDeg2 < 0)) {
-            push(@invalidParams, "Invalid second latitude degrees specified.");
-        }
-        if (hasContent($FORM::latMin2) && ($FORM::latMin2 > 59 || $FORM::latMin2 < 0)) {
-            push(@invalidParams, "Invalid second latitude minutes specified.");
-        }
-        if (hasContent($FORM::latSec2) && ($FORM::latSec2 > 59 || $FORM::latSec2 < 0)) {
-            push(@invalidParams, "Invalid second latitude seconds specified.");
-        }
-        if (hasContent($FORM::latDeg2) && ($FORM::longDeg2 > 180 || $FORM::longDeg2 < 0)) {
-            push(@invalidParams, "Invalid second longitude degrees specified.");
-        }
-        if (hasContent($FORM::latMin2) && ($FORM::longMin2 > 59 || $FORM::longMin2 < 0)) {
-            push(@invalidParams, "Invalid second longitude minutes specified.");
-        }
-        if (hasContent($FORM::latSec2) && ($FORM::longSec2 > 59 || $FORM::longSec2 < 0)) {
-            push(@invalidParams, "Invalid second longitude seconds specified.");
-        }
-    }
+		if ( $latDeg1 > 90 || $latDeg1 < 0 ) {
+			push( @invalidParams, "Invalid first latitude degrees specified." );
+		}
+		if ( $latMin1 > 59 || $latMin1 < 0 ) {
+			push( @invalidParams, "Invalid first latitude minutes specified." );
+		}
+		if ( $latSec1 > 59 || $latSec1 < 0 ) {
+			push( @invalidParams, "Invalid first latitude seconds specified." );
+		}
+		if ( $longDeg1 > 180 || $longDeg1 < 0 ) {
+			push( @invalidParams,
+				"Invalid first longitude degrees specified." );
+		}
+		if ( $longMin1 > 59 || $longMin1 < 0 ) {
+			push( @invalidParams,
+				"Invalid first longitude minutes specified." );
+		}
+		if ( $longSec1 > 59 || $longSec1 < 0 ) {
+			push( @invalidParams,
+				"Invalid first longitude seconds specified." );
+		}
 
-    # Check if latDeg1 and longDeg1 has values if useSiteCoord is used. 
-    # This check is required because some of the sites dont have lat 
-    # and long mentioned in the config file. 
+		if ( hasContent($FORM::latDeg2)
+			&& ( $FORM::latDeg2 > 90 || $FORM::latDeg2 < 0 ) )
+		{
+			push( @invalidParams,
+				"Invalid second latitude degrees specified." );
+		}
+		if ( hasContent($FORM::latMin2)
+			&& ( $FORM::latMin2 > 59 || $FORM::latMin2 < 0 ) )
+		{
+			push( @invalidParams,
+				"Invalid second latitude minutes specified." );
+		}
+		if ( hasContent($FORM::latSec2)
+			&& ( $FORM::latSec2 > 59 || $FORM::latSec2 < 0 ) )
+		{
+			push( @invalidParams,
+				"Invalid second latitude seconds specified." );
+		}
+		if ( hasContent($FORM::latDeg2)
+			&& ( $FORM::longDeg2 > 180 || $FORM::longDeg2 < 0 ) )
+		{
+			push( @invalidParams,
+				"Invalid second longitude degrees specified." );
+		}
+		if ( hasContent($FORM::latMin2)
+			&& ( $FORM::longMin2 > 59 || $FORM::longMin2 < 0 ) )
+		{
+			push( @invalidParams,
+				"Invalid second longitude minutes specified." );
+		}
+		if ( hasContent($FORM::latSec2)
+			&& ( $FORM::longSec2 > 59 || $FORM::longSec2 < 0 ) )
+		{
+			push( @invalidParams,
+				"Invalid second longitude seconds specified." );
+		}
+	}
 
+	# Check if latDeg1 and longDeg1 has values if useSiteCoord is used.
+	# This check is required because some of the sites dont have lat
+	# and long mentioned in the config file.
 
-    if ($modules->{'spatial'} eq 'true' && $required->{'spatial'} eq 'true') {
-        if ($FORM::useSiteCoord) {
-            push(@invalidParams, "The Data Registry doesn't have latitude and longitude information for the site that you chose. Please go back and enter the spatial information.")
-                unless(hasContent($latDeg1) && hasContent($longDeg1));
-        } else {
-            push(@invalidParams, "Latitude degrees are missing.")
-                unless (hasContent($latDeg1) || $required->{'spatial'} ne 'true');
-            push(@invalidParams, "Longitude degrees are missing.")
-                unless (hasContent($longDeg1) || $required->{'spatial'} ne 'true');
-        }
-        push(@invalidParams, 
-            "You must provide a geographic description if you provide latitude and longitude information.")
-            if ((hasContent($latDeg1) || (hasContent($longDeg1))) && (!hasContent($FORM::geogdesc)));
-    }
+	if ( $modules->{'spatial'} eq 'true' && $required->{'spatial'} eq 'true' ) {
+		if ($FORM::useSiteCoord) {
+			push( @invalidParams,
+"The Data Registry doesn't have latitude and longitude information for the site that you chose. Please go back and enter the spatial information."
+			) unless ( hasContent($latDeg1) && hasContent($longDeg1) );
+		}
+		else {
+			push( @invalidParams, "Latitude degrees are missing." )
+			  unless ( hasContent($latDeg1)
+				|| $required->{'spatial'} ne 'true' );
+			push( @invalidParams, "Longitude degrees are missing." )
+			  unless ( hasContent($longDeg1)
+				|| $required->{'spatial'} ne 'true' );
+		}
+		push( @invalidParams,
+"You must provide a geographic description if you provide latitude and longitude information."
+		  )
+		  if ( ( hasContent($latDeg1) || ( hasContent($longDeg1) ) )
+			&& ( !hasContent($FORM::geogdesc) ) );
+	}
 
-    if ($modules->{'method'} eq 'true') {
-    push (@invalidParams, 
-        "You must provide a method description if you provide a method title.")
-        if (hasContent($FORM::methodTitle) && (!(scalar(@FORM::methodPara) > 0) 
-            || (! hasContent($FORM::methodPara[0]))));
-    push(@invalidParams, 
-        "You must provide a method description if you provide an extent of study description.")
-        if (hasContent($FORM::studyExtentDescription) && (!(scalar(@FORM::methodPara) > 0) 
-            || (! hasContent($FORM::methodPara[0]))));
-    push(@invalidParams, 
-        "You must provide both an extent of study description and a sampling description, or neither.")
-        if ((hasContent($FORM::studyExtentDescription) && !hasContent($FORM::samplingDescription)) ||
-            (!hasContent($FORM::studyExtentDescription) && hasContent($FORM::samplingDescription)));
-    }
-    
-    if ($modules->{'upload'} eq 'true') {
-        for (my $upNum = 0; $upNum <= $FORM::upCount; $upNum++) {
-            my $upn = "upload_$upNum";
-            if (hasContent(param($upn)) && !grep {$_ eq ("uploadname_$upNum")} @FORM::deletefile) {
-                push(@invalidParams, "Must select a permission for file " . param("uploadname_$upNum"))
-                if (!hasContent(param("uploadperm_$upNum")));
-            }
-        }
-    }
- 
-    push(@invalidParams, "First name of data set contact is missing.")
-    unless (hasContent($FORM::origNamefirstContact) || 
-        $FORM::useOrigAddress);
-    push(@invalidParams, "Last name of data set contact is missing.")
-    unless (hasContent($FORM::origNamelastContact) || 
-        $FORM::useOrigAddress);
-    if ($required->{'contactEmailAddress'} eq 'true') {
-        if ($FORM::useOrigAddress) {
-        push(@invalidParams, "Email address of data set owner is missing. This is required as it will be used as contact email address as specified by you.")
-            unless (hasContent($FORM::origEmail));
-        } else {
-            push(@invalidParams, "Email address of data set contact is missing.")
-                unless (hasContent($FORM::origEmailContact));
-        }
-    }
+	if ( $modules->{'method'} eq 'true' ) {
+		push( @invalidParams,
+"You must provide a method description if you provide a method title."
+		  )
+		  if (
+			hasContent($FORM::methodTitle)
+			&& (  !( scalar(@FORM::methodPara) > 0 )
+				|| ( !hasContent( $FORM::methodPara[0] ) ) )
+		  );
+		push( @invalidParams,
+"You must provide a method description if you provide an extent of study description."
+		  )
+		  if (
+			hasContent($FORM::studyExtentDescription)
+			&& (  !( scalar(@FORM::methodPara) > 0 )
+				|| ( !hasContent( $FORM::methodPara[0] ) ) )
+		  );
+		push( @invalidParams,
+"You must provide both an extent of study description and a sampling description, or neither."
+		  )
+		  if (
+			(
+				hasContent($FORM::studyExtentDescription)
+				&& !hasContent($FORM::samplingDescription)
+			)
+			|| (  !hasContent($FORM::studyExtentDescription)
+				&& hasContent($FORM::samplingDescription) )
+		  );
+	}
 
-    # check required distribution elements
-    push(@invalidParams, "Data medium is required.")
-    unless (hasContent($FORM::dataMedium));
-    if ($FORM::dataMedium eq 'other') {
-        push(@invalidParams, "Must enter custom data medium when 'other' is selected.")
-        unless (hasContent($FORM::dataMediumOther));
-    }
-    push(@invalidParams, "Usage rights are required.")
-    unless (hasContent($FORM::useConstraints));
-    if ($FORM::useConstraints eq 'other') {
-        push(@invalidParams, "Must enter custom usage rights when 'other' is selected.")
-        unless (hasContent($FORM::useConstraintsOther));
-    }
+	if ( $modules->{'upload'} eq 'true' ) {
+		for ( my $upNum = 0 ; $upNum <= $FORM::upCount ; $upNum++ ) {
+			my $upn = "upload_$upNum";
+			if ( hasContent( param($upn) )
+				&& !grep { $_ eq ("uploadname_$upNum") } @FORM::deletefile )
+			{
+				push( @invalidParams,
+					"Must select a permission for file "
+					  . param("uploadname_$upNum") )
+				  if ( !hasContent( param("uploadperm_$upNum") ) );
+			}
+		}
+	}
 
-    return \@invalidParams;
+	push( @invalidParams, "First name of data set contact is missing." )
+	  unless ( hasContent($FORM::origNamefirstContact)
+		|| $FORM::useOrigAddress );
+	push( @invalidParams, "Last name of data set contact is missing." )
+	  unless ( hasContent($FORM::origNamelastContact)
+		|| $FORM::useOrigAddress );
+	if ( $required->{'contactEmailAddress'} eq 'true' ) {
+		if ($FORM::useOrigAddress) {
+			push( @invalidParams,
+"Email address of data set owner is missing. This is required as it will be used as contact email address as specified by you."
+			) unless ( hasContent($FORM::origEmail) );
+		}
+		else {
+			push( @invalidParams,
+				"Email address of data set contact is missing." )
+			  unless ( hasContent($FORM::origEmailContact) );
+		}
+	}
+
+	# check required distribution elements
+	push( @invalidParams, "Data medium is required." )
+	  unless ( hasContent($FORM::dataMedium) );
+	if ( $FORM::dataMedium eq 'other' ) {
+		push( @invalidParams,
+			"Must enter custom data medium when 'other' is selected." )
+		  unless ( hasContent($FORM::dataMediumOther) );
+	}
+	push( @invalidParams, "Usage rights are required." )
+	  unless ( hasContent($FORM::useConstraints) );
+	if ( $FORM::useConstraints eq 'other' ) {
+		push( @invalidParams,
+			"Must enter custom usage rights when 'other' is selected." )
+		  unless ( hasContent($FORM::useConstraintsOther) );
+	}
+
+	return \@invalidParams;
 }
 
 ################################################################################
-# 
+#
 # utility function to determine if a paramter is defined and not an empty string
 #
 ################################################################################
 sub hasContent {
-    my $param = shift;
+	my $param = shift;
 
-    my $paramHasContent;
-    if (!defined($param) || $param eq '') { 
-        $paramHasContent = 0;
-    } else {
-        $paramHasContent = 1;
-    }
-    return $paramHasContent;
+	my $paramHasContent;
+	if ( !defined($param) || $param eq '' ) {
+		$paramHasContent = 0;
+	}
+	else {
+		$paramHasContent = 1;
+	}
+	return $paramHasContent;
 }
 
 ################################################################################
 #
-# Subroutine for replacing characters not recognizable by XML and otherwise. 
+# Subroutine for replacing characters not recognizable by XML and otherwise.
 #
 ################################################################################
-sub normalize{
-    my $val = shift;
+sub normalize {
+	my $val = shift;
 
-    $val =~ s/&/&amp;/g;
+	$val =~ s/&/&amp;/g;
 
-    $val =~ s/</&lt;/g;
-    $val =~ s/>/&gt;/g;
-    $val =~ s/\"/&quot;/g;
-    $val =~ s/%/&#37;/g;   
- 
-    my $returnVal = "";
-    
-    foreach (split(//,$val)) {
-        my $var = unpack "C*", $_; 
+	$val =~ s/</&lt;/g;
+	$val =~ s/>/&gt;/g;
+	$val =~ s/\"/&quot;/g;
+	$val =~ s/%/&#37;/g;
 
-        if ($var < 128 && $var > 31) {
-            $returnVal = $returnVal.$_;
-        } elsif ($var < 32) {
-            if ($var == 10) {
-                $returnVal = $returnVal.$_;
-            }
-            if ($var == 13) {
-                $returnVal = $returnVal.$_;
-            }
-            if ($var == 9) {
-                $returnVal = $returnVal.$_;
-            }
-        } else { 
-            $returnVal=$returnVal.$_;
-        }
-    }
+	my $returnVal = "";
 
-    return $returnVal;
+	foreach ( split( //, $val ) ) {
+		my $var = unpack "C*", $_;
+
+		if ( $var < 128 && $var > 31 ) {
+			$returnVal = $returnVal . $_;
+		}
+		elsif ( $var < 32 ) {
+			if ( $var == 10 ) {
+				$returnVal = $returnVal . $_;
+			}
+			if ( $var == 13 ) {
+				$returnVal = $returnVal . $_;
+			}
+			if ( $var == 9 ) {
+				$returnVal = $returnVal . $_;
+			}
+		}
+		else {
+			$returnVal = $returnVal . $_;
+		}
+	}
+
+	return $returnVal;
 }
 
-
 ################################################################################
 #
-# Subroutine for replacing characters not recognizable by XML and otherwise 
+# Subroutine for replacing characters not recognizable by XML and otherwise
 # except for ", > amd <.
 #
 ################################################################################
-sub delNormalize{
-    my $val = shift;
+sub delNormalize {
+	my $val = shift;
 
-    $val =~ s/&/&amp;/g;
+	$val =~ s/&/&amp;/g;
 
-    $val =~ s/%/&#37;/g;
+	$val =~ s/%/&#37;/g;
 
-    my $returnVal = "";
+	my $returnVal = "";
 
-    foreach (split(//,$val)) {
-        my $var = unpack "C*", $_;
+	foreach ( split( //, $val ) ) {
+		my $var = unpack "C*", $_;
 
-        if($var < 128 && $var > 31) {
-            $returnVal=$returnVal.$_;
-        } elsif ($var < 32) {
-            if($var == 10) {
-                $returnVal=$returnVal.$_;
-            }
-            if ($var == 13) {
-                $returnVal=$returnVal.$_;
-            }
-            if ($var == 9) {
-                $returnVal=$returnVal.$_;
-            }
-        } else {
-            $returnVal=$returnVal."&#".$var.";";
-        }
-    }
+		if ( $var < 128 && $var > 31 ) {
+			$returnVal = $returnVal . $_;
+		}
+		elsif ( $var < 32 ) {
+			if ( $var == 10 ) {
+				$returnVal = $returnVal . $_;
+			}
+			if ( $var == 13 ) {
+				$returnVal = $returnVal . $_;
+			}
+			if ( $var == 9 ) {
+				$returnVal = $returnVal . $_;
+			}
+		}
+		else {
+			$returnVal = $returnVal . "&#" . $var . ";";
+		}
+	}
 
-    $returnVal =~ s/&/%26/g;
-    return $returnVal;
+	$returnVal =~ s/&/%26/g;
+	return $returnVal;
 }
 
-
 ################################################################################
 #
-# Subroutine for replacing characters that might create problem in HTML. 
-# Specifically written for " being used in any text field. This creates a 
-# problem in confirmData template, when you specify input name value pair 
-# with value having a " in it.  
+# Subroutine for replacing characters that might create problem in HTML.
+# Specifically written for " being used in any text field. This creates a
+# problem in confirmData template, when you specify input name value pair
+# with value having a " in it.
 #
 ################################################################################
-sub normalizeCD{
-    my $val = shift;
+sub normalizeCD {
+	my $val = shift;
 
-    $val =~ s/\"/&quot;/g;
-    
-    return $val;
+	$val =~ s/\"/&quot;/g;
+
+	return $val;
 }
 
 ################################################################################
